polyphone (2.0) unstable; urgency=low

  * (new) software design
  * (new) access to the soundfont repository with a Premium account
  * (new) duplication of elements in the tree
  * (new) fast creation of instruments or presets with a drag & drop in the tree
  * (new) possibility to mute divisions for testing purposes
  * (new) tool for creating chords
  * (new) German and Danish translations
  * (improvement) support for "control", "include", "default_path", "global", "group_label", "define" when importing sfz files
  * (improvement) sample rate displayed in the sample overview page
  * (improvement) navigation between linked elements
  * (improvement) divisions can be sorted in different ways
  * (improvement) preset and bank numbers can be changed in a multiple selection
  * (improvement) faster loading of soundfonts
  * (fix) bug when saving or loading 24-bit samples
  * (fix) opening big soundfonts

 -- Davy Triponney <davy.triponney@gmail.com>


polyphone (1.9) UNRELEASED; urgency=low

  * (new) soundfont repository online
  * (new) graphical envelop editor
  * (new) Portuguese & Chinese translations
  * (new) tool to export the preset list in a text format
  * (improvement) table cells linked to a modulator have a thicker border
  * (improvement) highlight a modulator corresponding to a cell and vice versa
  * (improvement) glow effect when the virtual keyboard is focused with ctrl+K
  * (improvement) EQ values automatically stored and loaded on startup
  * (improvement) the displayed period limits are written in the sample graph
  * (fix) display of uncommon sample rates
  * (fix) 8-bit samples were badly imported
  * (fix) the last edit was sometimes not saved if the focus remained in a field
  * (fix) sometimes a crash occurred during a drag & drop in the tree
  * (fix) the release was wrong when using loop + end mode
  * (fix) the progress bar sometimes remained when loading a small soundfont
  * (fix) a double-click in the tree didn't expand or collapse the elements
  * (fix) a same file could be loaded twice on windows
  * (fix) sometimes the loop cell couldn't be edited with the mouse
  * (fix) wrong modulators were sometimes displayed after a selection in the tree

 -- Davy Triponney <davy.triponney@gmail.com>  Tue, 7 Nov 2017 12:40:25 +0100


polyphone (1.8) UNRELEASED; urgency=low

  * (new) light and dark color themes
  * (new) Czech translation
  * (new) links to the online manual & forum
  * (new) tool to call an external editor for samples
  * (improvement) tool "normalize volume" replaced by "change volume" 
  * (improvement) tools "remove whistling" and "brickwall filter" replaced by "filter frequencies" 
  * (improvement) the attenuation tool can now deal with global parameters and presets 
  * (improvement) using space or enter over a cell makes it editable
  * (improvement) ctrl-x can be used in the tables
  * (improvement) double-clicking on a division go to the corresponding sample or instrument
  * (improvement) logo changed
  * (improvement) translation files can be outside the executable
  * (fix) behaviour of the duplication tool when using several velocity ranges
  * (fix) a progress dialog was displayed when opening the software
  * (fix) natural order in the tree and tables
  * (fix) behaviour of the "loop playback" cell in the tables

 -- Davy Triponney <davy.triponney@gmail.com>  Wed, 16 Nov 2016 17:51:55 +0100


polyphone (1.7) UNRELEASED; urgency=low

  * (new) convenient view to graphically edit key and velocity ranges
  * (new) overview pages showing a configuration summary of all samples, instruments or presets
  * (new) sf3 import / export
  * (new) Serbian translation
  * (new) command line for conversions between sf2, sf3, sfz and sfArk
  * (improvement) simultaneous editing of multiple global divisions
  * (improvement) tools are allowed when several instruments or presets are selected in the tree
  * (improvement) pasting modulators is allowed for several divisions
  * (improvement) wheel event support in the sample graphics
  * (improvement) loop modes in the instrument table are displayed with graphical elements
  * (fix) the "left / right" attribute was lost in duplicated samples
  * (fix) minor graphical interface issues

 -- Davy Triponney <davy.triponney@gmail.com>  Wed, 27 Sep 2015 20:51:55 +0100


polyphone (1.6) UNRELEASED; urgency=low

  * full screen mode
  * visibility of all soundfonts or just a specific soundfont in the tree
  * possibility to merge presets from different soundfonts to one sf2 via the export
  * export of samples from different soundfonts is allowed
  * in the virtual keyboard, using "shift" with an arrow makes a quicker move
  * option to move (or not) keyrange in the transposition tool for instruments
  * mutations available for 64' resultant in the organ mixture creation tool
  * tolerance for opcodes comprising no underscore (sfz opcodes v1)
  * several libraries updated (including portaudio, stk)
  * (fix) sfArk import generated noise
  * (fix) repetition is ignored when using arrow keys in the virtual keyboard
  * (fix) "0" was not selected when a new value is inserted in the table
  * (fix) forbidden characters are replaced by an underscore when exporting files
  * (fix) selection in the tree now updates the virtual keyboard
  * (fix) copy / paste of elements
  * (fix) GUI fix for mac
  * (fix) loop_mode one-shot caused sometimes a wrong envelop release in the sfz import

 -- Davy Triponney <davy.triponney@gmail.com>  Wed, 27 May 2015 20:11:10 +0100


polyphone (1.5) UNRELEASED; urgency=low

  * Italian translation
  * transposition tool
  * more options when renaming several elements
  * tool to remove all modulators
  * improved copy / paste functions in tables
  * improved copy / paste functions for modulators
  * arrows may be used to play the adjacent key or velocity
  * faster selection of multiple elements in the tree
  * (fix) bug when reading some wav files
  * (fix) sample synchronization in synth
  * (fix) bug when editing modulators

 -- Davy Triponney <davy.triponney@gmail.com>  Mon, 20 Oct 2014 18:37:28 +0100


polyphone (1.4) UNRELEASED; urgency=low

  * faster loading step and count of used / unused elements
  * the key range of the key pressed is displayed at the instrument level
  * middle C is emphasized on the keyboard
  * key names can include sharps or flats
  * button to assign the estimated pitch / correction at the sample level
  * mutations added in the mixture creation tools
  * column width may be fixed in instrument and preset tables
  * name of samples, instruments and presets may be adapted in case of duplicate
  * natural order sorting of items in the tree
  * focus policies in the tree improved
  * support for Mac OS X 10.6 and 10.7
  * support for sfArk v1 files
  * (fix) sfz export / import
  * (fix) comments can now be 65536 characters long
  * (fix) the commands "replace all", "ignore all", "duplicate all" are now memorized
  * (fix) bug when editing an element hidden by the filter in the tree

 -- Davy Triponney <davy.triponney@gmail.com>  Thu, 7 Aug 2014 18:55:20 +0100


polyphone (1.3) UNRELEASED; urgency=low

  * latency decreased and polyphony increased in the sound engine
  * support for sfArk soundfont archives
  * use of notation C, D, E, F, ... or numerical values for keynames
  * quicker operations in tables
  * piano keyboard type (88 keys) added
  * keyrange and rootkey displayed on the virtual keyboard
  * ctrl+K focuses on the virtual keyboard to play with
  * use of ctrl+1, ctrl+2, ctrl+3... ctrl+8 to change the computer keyboard octave
  * the virtual keyboard is floatable
  * button applying the full length of the sample as loop at the sample level
  * possibility to manually change the language
  * pitch detection improved
  * small tutorial added in the documentation
  * fixed a bug when using the autoloop tool in Windows XP
  * fixed small issues in sfz / sf2 conversion

 -- Davy Triponney <davy.triponney@gmail.com>  Sun, 16 Feb 2014 19:19:52 +0100


polyphone (1.2) UNRELEASED; urgency=low

  * Spanish translation
  * sfz import
  * sfz export improvement
  * simultaneous editing of samples
  * simultaneous editing of stereo sample in the instrument table
  * simultaneous editing of cells in tables
  * mouse wheel to increase a parameter value in the table
  * copy / paste available in the tree right-click menu
  * selection of the presets to export when exporting a soundfont
  * drop of wav, sf2 or sfz files in the tree
  * the interface is adapted for screen resolution as low as 800*600
  * stereo splitter tool
  * "space" key controls the button "play" at the sample level
  * spatialization tool improvement
  * documentation reshaped
  * peak frequency export (graph + csv file)
  * fixed a bug when importing a sample and replacing an existing one
  * negative tune corrections were not exported correctly in wave files
  * using sample mode 3 (play sample to the end) now works

 -- Davy Triponney <davy.triponney@gmail.com>  Sat, 21 Dec 2013 00:10:09 +0100


polyphone (1.1) UNRELEASED; urgency=low

  * possibility to create velocity layers in the division duplication tool
  * the global setting tool may deal with a particular velocity layer
  * playing sounds is possible with the computer keyboard
  * ctrl+C / ctrl+V now works like a drag & drop in the tree view
  * copying a preset from one sf2 to another uses now - if possible - the same bank and preset numbers
  * bugs related to the pitch correction and the endloop values are fixed when exporting a sample
  * the rootkey of a sample is determined via its filename, if this information is not contained in the file
  * the highest key is now 127 in the auto-divisioning tool
  * sfz export
  * the interface fits for smaller screens
  * window state and geometry are restored
  * keys may be held by the sustain pedal
  * synth gain is controlled by the volume midi controller
  * when editing a sample, option to change the linked sample if stereo
  * possibility to change the audio buffer size

 -- Davy Triponney <davy.triponney@gmail.com>  Fri, 8 Nov 2013 18:21:43 +0100


polyphone (1.0) UNRELEASED; urgency=low

  * preset 128 (percussion) is now accessible
  * mixture creation tool can now create mono samples
  * fixed a bug in the loop tool
  * revision of the envelops, modulators and filters used in the synth

 -- Davy Triponney <davy.triponney@gmail.com>  Sun, 1 Sep 2013 09:05:12 +0100


polyphone (0.9) UNRELEASED; urgency=low

  * added spatializer in the preset level
  * fixed minor bugs related to copy/paste or drag & drop in the tree

 -- Davy Triponney <davy.triponney@gmail.com>  Tue, 20 Aug 2013 15:08:47 +0100


polyphone (0.8) UNRELEASED; urgency=low

  * fixed bugs when using very small samples
  * stereo channels were reversed when playing sounds
  * option to not open any MIDI ports
  * management of the last working directories (sf2, samples, records)
  * customizable colors for the waveform preview
  * warning if to many parameters are set in the instruments or presets (limitation for some synthesizers)
  * toolbar configuration
  * celeste tuning improvement
  * visualizer, displaying in a graph the parameters used in an instrument or a preset
  * parameters used in the mixture creation tool are stored
  * fixed minor bugs

 -- Davy Triponney <davy.triponney@gmail.com>  Sun, 21 Jul 2013 13:31:25 +0100


polyphone (0.7) UNRELEASED; urgency=low

  * placeholder management for older version of QT
  * use of libportaudio package in linux systems
  * parameters used in the tools are memorized
  * help dialog resizable

 -- Davy Triponney <davy.triponney@gmail.com>  Fri, 28 Jun 2013 20:23:02 +0100


polyphone (0.6) UNRELEASED; urgency=low

  * enlightment of linked samples / instruments in the table when playing an instrument / preset
  * different options for the bulk rename
  * synth, exclusive class
  * synth, offsets
  * synth, lowered latency
  * recorder
 
 -- Davy Triponney <davy.triponney@gmail.com>  Tue, 25 Jun 2013 18:47:55 +0100


polyphone (0.5) UNRELEASED; urgency=low

  * added synth features (reverb, chorus)
  * global setting tool improvements (visualisation of octaves, random generation changing the distribution, graphical interactions)
  * lowered latency for default audio engine
  * fixed a bug with asio
  * automatic sample association left-right for samples whose names only differ by the last letter R/L

 -- Davy Triponney <davy.triponney@gmail.com>  Wed, 20 Mar 2013 23:37:11 +0100


polyphone (0.4) UNRELEASED; urgency=low

  * added synth features (low pass filter, LFOs, tuning scale)
  * copy / paste buttons for modulators
  * global setting for instruments and presets. Several / all instruments or presets may be chosen.
  * automatic keyrange definition during the association of an instrument to a preset
  * sample and instrument replacement in instrument / preset
  * band-limited sinc interpolation for non-real time resampling

 -- Davy Triponney <davy.triponney@gmail.com>  Sun, 3 Mar 2013 18:49:20 +0100
  

polyphone (0.3) UNRELEASED; urgency=low
  * release creation tool
  * division duplication for preset
  * correction of parameter limits in the preset page
  * refactoring of configuration system

 -- Davy Triponney <davy.triponney@gmail.com>  Thu, 14 Feb 2013 10:24:11 +0100
  
  
polyphone (0.2) UNRELEASED; urgency=low

  * fixed importation bugs
  * added support for IEEE float 32 .wav files
  * Jack server support
  * clipping when equalizing samples if necessary
  * virtual keyboard
  * support for midi signal reception
  * synth to test instruments and preset (not fully implemented yet)
  * overlay feature in the graph

 -- Davy Triponney <davy.triponney@gmail.com>  Sun, 10 Feb 2013 19:12:31 +0100


polyphone (0.1) UNRELEASED; urgency=low

  * initial release

 -- Davy Triponney <davy.triponney@gmail.com>  Tue, 1 Jan 2013 13:51:43 +0200
